FROM node:18-alpine AS base

# Install tzdata to support timezone settings
RUN apk add --no-cache tzdata

# Set the timezone to Asia/Tehran
RUN cp /usr/share/zoneinfo/Asia/Tehran /etc/localtime && echo "Asia/Tehran" > /etc/timezone


# Stage 2: Dependencies
FROM base AS deps
WORKDIR /temp-deps
COPY package*.json ./
RUN npm install

# Stage 3: Build stage
FROM base AS builder
WORKDIR /build
COPY . ./
COPY --from=deps /temp-deps/node_modules ./node_modules
RUN npm run build

# Stage 4: Production image
FROM base AS runner
RUN addgroup -S appgroup && adduser -S appuser -G appgroup
WORKDIR /app

# COPY --from=builder /build ./
COPY --from=builder /build/.output ./.output
COPY package*.json ./

RUN chown -R appuser:appgroup /app

USER appuser

ENV NODE_ENV=production

EXPOSE 3000

# Start the Nuxt app
# CMD ["npm", "start"]
CMD ["node", ".output/server/index.mjs"] 






